# The library consists of headers only
%global debug_package %{nil}

Name:           glm
Version:        1.0.0
Release:        %mkrel 1
Summary:     C++ mathematics library for graphics programming
Group:          Development/C++
License:        MIT
URL:            http://glm.g-truc.net/
Source0:        https://github.com/g-truc/glm/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  dos2unix

%description
GLM is a C++ library for doing mathematics operations
required in many OpenGL based applications. Its interface
has been designed to resemble the built-in matrix and vector
types of the OpenGL shading language.

%package        devel
Group:          Development/Libraries
Summary:        C++ mathematics library for graphics programming

%description    devel
GLM is a C++ library for doing mathematics operations
required in many OpenGL based applications. Its interface
has been designed to resemble the built-in matrix and vector
types of the OpenGL shading language.

%{name}-devel is only required for building software that uses
the GLM library. Because GLM currently is a header-only library,
there is no matching run time package.

%package        doc
Summary:        Documentation for %{name}-devel
Group:          Documentation
BuildArch:      noarch

%description    doc
The %{name}-doc package contains reference documentation and
a programming manual for the %{name}-devel package.

%prep
%setup -q -n %{name}-%{version}

# There are tons of files with CRLF line endings
find . -type f -exec dos2unix "{}" +;

# These are just for being able to apply the patch that
# was exported from git.
sed -i 's/\r//' glm/simd/platform.h
sed -i 's/\r//' test/core/core_setup_message.cpp

%build
%cmake -DGLM_TEST_ENABLE=ON
%cmake_build

%install
%cmake_install
find %{buildroot} -name CMakeLists.txt -delete

# Dirty hack to provide .pc file. Needed bc of upstream stupidity.
mkdir -p %{buildroot}%{_libdir}/pkgconfig/
cat << EOF > %{buildroot}%{_libdir}/pkgconfig/%{name}.pc
prefix=%{_prefix}
includedir=${prefix}/include

Name: GLM
Description: OpenGL Mathematics
Version: %{version}
Cflags: -I${includedir}
EOF


%check
cd build
# Some tests are disabled due to failing tests (to be reported)
# - test-core_func_common fails on aarch64
ctest --output-on-failure -E '(test-core_func_common|test-core_func_integer|test-gtc_packing)'

%files devel
%doc readme.md
%{_includedir}/%{name}/
%{_libdir}/libglm.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}/

%files doc
%doc doc/manual/
%doc doc/api/


%changelog
* Thu Jan 25 2024 pp 1.0.0-1pclos2024
- new version

* Sat Apr 09 2022 pp 0.9.9.8-1pclos2022
- new version
- added MGA fixes

* Wed Mar 20 2019 tex 0.9.9.1-1pclos2019
- new
